# eric7.QScintilla.ShellWindow

Module implementing a stand alone shell window.

### Global Attributes

None

### Classes

ShellWindow | Class implementing a stand alone shell window.

### Functions

None

## ShellWindow

Class implementing a stand alone shell window.

### Derived from

EricMainWindow

### Class Attributes

None

### Class Methods

None

### Methods

ShellWindow | Constructor
__about | Private slot to show a little About message.
__aboutQt | Private slot to handle the About Qt dialog.
__clientDebuggerId | Private slot to receive the ID of a newly connected debugger backend.
__createActions | Private method to create the actions.
__createEditActions | Private method defining the user interface actions for the edit commands.
__createFileActions | Private method defining the user interface actions for the file commands.
__createHelpActions | Private method to create the Help actions.
__createHistoryActions | Private method defining the user interface actions for the history commands.
__createMenus | Private method to create the menus of the menu bar.
__createSearchActions | Private method defining the user interface actions for the search commands.
__createStatusBar | Private slot to set up the status bar.
__createToolBars | Private method to create the various toolbars.
__createViewActions | Private method defining the user interface actions for the view commands.
__historyStyleChanged | Private slot to handle a change of the shell history style.
__newWindow | Private slot to start a new instance of eric.
__readSettings | Private method to read the settings remembered last time.
__readShortcut | Private function to read a single keyboard shortcut from the settings.
__showFind | Private method to display the search widget.
__showStartMenu | Private slot to prepare the language menu.
__startShell | Private slot to start a shell according to the action triggered.
__virtualEnvironmentChanged | Private slot handling a change of the shell's virtual environment.
__whatsThis | Private slot called in to enter Whats This mode.
__writeSettings | Private method to write the settings for reuse.
__zoom | Private method to handle the zoom action.
__zoomIn | Private method to handle the zoom in action.
__zoomOut | Private method to handle the zoom out action.
__zoomReset | Private method to reset the zoom factor.
__zoomTo | Private slot to zoom to a given value.
__zoomValueChanged | Private slot to handle changes of the zoom value.
activeWindow | Public method to get a reference to the active shell.
closeEvent | Protected method to handle the close event.
getAPIsManager | Public method to get a reference to the APIs manager.
getDebuggerId | Public method to get the most recently registered debugger ID.
quit | Public method to quit the application.
showFind | Public method to display the search widget.

### Static Methods

None

#### ShellWindow (Constructor)

ShellWindow(originalPathString, parent=None, name=None)

Constructor

originalPathString (str)
  original PATH environment variable
parent (QWidget)
  reference to the parent widget
name (str)
  object name of the window

#### ShellWindow.__about

__about()

Private slot to show a little About message.

#### ShellWindow.__aboutQt

__aboutQt()

Private slot to handle the About Qt dialog.

#### ShellWindow.__clientDebuggerId

__clientDebuggerId(debuggerId)

Private slot to receive the ID of a newly connected debugger backend.

debuggerId (str)
  ID of a newly connected debugger backend

#### ShellWindow.__createActions

__createActions()

Private method to create the actions.

#### ShellWindow.__createEditActions

__createEditActions()

Private method defining the user interface actions for the edit commands.

#### ShellWindow.__createFileActions

__createFileActions()

Private method defining the user interface actions for the file commands.

#### ShellWindow.__createHelpActions

__createHelpActions()

Private method to create the Help actions.

#### ShellWindow.__createHistoryActions

__createHistoryActions()

Private method defining the user interface actions for the history commands.

#### ShellWindow.__createMenus

__createMenus()

Private method to create the menus of the menu bar.

#### ShellWindow.__createSearchActions

__createSearchActions()

Private method defining the user interface actions for the search commands.

#### ShellWindow.__createStatusBar

__createStatusBar()

Private slot to set up the status bar.

#### ShellWindow.__createToolBars

__createToolBars()

Private method to create the various toolbars.

#### ShellWindow.__createViewActions

__createViewActions()

Private method defining the user interface actions for the view commands.

#### ShellWindow.__historyStyleChanged

__historyStyleChanged(historyStyle)

Private slot to handle a change of the shell history style.

historyStyle (ShellHistoryStyle)
  style to be used for the history

#### ShellWindow.__newWindow

__newWindow()

Private slot to start a new instance of eric.

#### ShellWindow.__readSettings

__readSettings()

Private method to read the settings remembered last time.

#### ShellWindow.__readShortcut

__readShortcut(act, category)

Private function to read a single keyboard shortcut from the settings.

act (EricAction)
  reference to the action object
category (str)
  category the action belongs to

#### ShellWindow.__showFind

__showFind()

Private method to display the search widget.

#### ShellWindow.__showStartMenu

__showStartMenu()

Private slot to prepare the language menu.

#### ShellWindow.__startShell

__startShell(action)

Private slot to start a shell according to the action triggered.

action
  menu action that was triggered (QAction)

#### ShellWindow.__virtualEnvironmentChanged

__virtualEnvironmentChanged(venvName)

Private slot handling a change of the shell's virtual environment.

venvName (str)
  name of the virtual environment of the shell

#### ShellWindow.__whatsThis

__whatsThis()

Private slot called in to enter Whats This mode.

#### ShellWindow.__writeSettings

__writeSettings()

Private method to write the settings for reuse.

#### ShellWindow.__zoom

__zoom()

Private method to handle the zoom action.

#### ShellWindow.__zoomIn

__zoomIn()

Private method to handle the zoom in action.

#### ShellWindow.__zoomOut

__zoomOut()

Private method to handle the zoom out action.

#### ShellWindow.__zoomReset

__zoomReset()

Private method to reset the zoom factor.

#### ShellWindow.__zoomTo

__zoomTo(value)

Private slot to zoom to a given value.

value (int)
  zoom value to be set

#### ShellWindow.__zoomValueChanged

__zoomValueChanged(value)

Private slot to handle changes of the zoom value.

value (int)
  new zoom value

#### ShellWindow.activeWindow

activeWindow()

Public method to get a reference to the active shell.

Return:
  reference to the shell widget

Return Type:
  Shell

#### ShellWindow.closeEvent

closeEvent(event)

Protected method to handle the close event.

event (QCloseEvent)
  close event

#### ShellWindow.getAPIsManager

getAPIsManager()

Public method to get a reference to the APIs manager.

Return:
  the APIs manager object (eric7.QScintilla.APIsManager)

#### ShellWindow.getDebuggerId

getDebuggerId()

Public method to get the most recently registered debugger ID.

Return:
  debugger ID

Return Type:
  str

#### ShellWindow.quit

quit()

Public method to quit the application.

#### ShellWindow.showFind

showFind(txt="")

Public method to display the search widget.

txt (str)
  text to be shown in the combo

Up